ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-4/configure
(Generate patch)

Comparing trunk/OOPSE-4/configure (file contents):
Revision 1998 by tim, Fri Feb 11 22:37:36 2005 UTC vs.
Revision 2081 by gezelter, Fri Mar 4 15:29:03 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 876 | Line 876 | Optional Packages:
876    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
877    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
878    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
879  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
880                          [default=/usr/local]
881  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
879  
880   Some influential environment variables:
881    CC          C compiler command
# Line 3542 | Line 3539 | F90FLAGS="$F90FLAGS $ac_verb"
3539   ac_save_F90FLAGS=$F90FLAGS
3540   F90FLAGS="$F90FLAGS $ac_verb"
3541  
3542 < (eval echo $as_me:3545: \"$ac_link\") >&5
3542 > (eval echo $as_me:3542: \"$ac_link\") >&5
3543   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3544   echo "$ac_f90_v_output" >&5
3545   F90FLAGS=$ac_save_F90FLAGS
# Line 3619 | Line 3616 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3616   ac_save_F90FLAGS=$F90FLAGS
3617   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3618  
3619 < (eval echo $as_me:3622: \"$ac_link\") >&5
3619 > (eval echo $as_me:3619: \"$ac_link\") >&5
3620   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3621   echo "$ac_f90_v_output" >&5
3622   F90FLAGS=$ac_save_F90FLAGS
# Line 5266 | Line 5263 | rm -f conftest.err conftest.$ac_objext conftest.$ac_ex
5263   fi
5264   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5265  
5269
5270
5271
5266    # clean out junk possibly left behind by a previous configuration
5267    rm -f src/getopt.h
5268    # Check for getopt_long support
# Line 6155 | Line 6149 | if test "$ac_test_CXXFLAGS" != "set"; then
6149                  echo "*******************************************************"
6150          fi;;
6151     *darwin*)
6152 <        if test "$CXX" = xlc++; then
6152 >        if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
6153                  CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6154          fi;;
6155    esac
# Line 7256 | Line 7250 | fi
7250   fi
7251   rm -f confcache
7252    exit 1
7253 + fi
7254 +
7255 + # Extract the first word of "ps", so it can be a program name with args.
7256 + set dummy ps; ac_word=$2
7257 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7258 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7259 + if test "${ac_cv_path_PS+set}" = set; then
7260 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7261 + else
7262 +  case $PS in
7263 +  [\\/]* | ?:[\\/]*)
7264 +  ac_cv_path_PS="$PS" # Let the user override the test with a path.
7265 +  ;;
7266 +  *)
7267 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7268 + for as_dir in $PATH
7269 + do
7270 +  IFS=$as_save_IFS
7271 +  test -z "$as_dir" && as_dir=.
7272 +  for ac_exec_ext in '' $ac_executable_extensions; do
7273 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7274 +    ac_cv_path_PS="$as_dir/$ac_word$ac_exec_ext"
7275 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7276 +    break 2
7277 +  fi
7278 + done
7279 + done
7280 +
7281 +  ;;
7282 + esac
7283 + fi
7284 + PS=$ac_cv_path_PS
7285 +
7286 + if test -n "$PS"; then
7287 +  echo "$as_me:$LINENO: result: $PS" >&5
7288 + echo "${ECHO_T}$PS" >&6
7289 + else
7290 +  echo "$as_me:$LINENO: result: no" >&5
7291 + echo "${ECHO_T}no" >&6
7292 + fi
7293 +
7294 + echo "$as_me:$LINENO: checking for POSIX or BSD ps syntax" >&5
7295 + echo $ECHO_N "checking for POSIX or BSD ps syntax... $ECHO_C" >&6
7296 + if test "${ac_cv_prog_ps_syntax+set}" = set; then
7297 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7298 + else
7299 +
7300 +        if $PS ax -o rss > /dev/null 2>&1; then
7301 +                ac_cv_prog_ps_ax=yes
7302 +        else
7303 +                ac_cv_prog_ps_ax=no
7304 +        fi
7305 +        if $PS -ef -o rss > /dev/null 2>&1; then
7306 +                ac_cv_prog_ps_ef=yes
7307 +        else
7308 +                ac_cv_prog_ps_ef=no
7309 +        fi
7310 +        if test "$ac_cv_prog_ps_ax" = yes; then
7311 +                ac_cv_prog_ps_syntax=BSD
7312 +        else
7313 +                if test "$ac_cv_prog_ps_ef" = yes; then
7314 +                        ac_cv_prog_ps_syntax=POSIX
7315 +                else
7316 +                        { { echo "$as_me:$LINENO: error: Could not determine ps syntax" >&5
7317 + echo "$as_me: error: Could not determine ps syntax" >&2;}
7318 +   { (exit 1); exit 1; }; }
7319 +                fi
7320 +        fi
7321 +
7322   fi
7323 + echo "$as_me:$LINENO: result: $ac_cv_prog_ps_syntax" >&5
7324 + echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7325 +
7326 +
7327 + cat >>confdefs.h <<_ACEOF
7328 + #define PSCOMMAND $PS
7329 + _ACEOF
7330 +
7331 +
7332 + if test "$ac_cv_prog_ps_syntax" = BSD; then
7333 +  cat >>confdefs.h <<\_ACEOF
7334 + #define PSTYPE_IS_BSD 1
7335 + _ACEOF
7336 +
7337 + else
7338 +   if test "$ac_cv_prog_ps_syntax" = POSIX; then
7339 +       cat >>confdefs.h <<\_ACEOF
7340 + #define PSTYPE_IS_POSIX 1
7341 + _ACEOF
7342  
7343 +   else
7344 +       { { echo "$as_me:$LINENO: error: Unknown ps syntax type!" >&5
7345 + echo "$as_me: error: Unknown ps syntax type!" >&2;}
7346 +   { (exit 1); exit 1; }; }
7347 +   fi
7348 + fi
7349  
7350  
7351   # Check whether --with-mpi or --without-mpi was given.
# Line 7724 | Line 7812 | echo "${ECHO_T}found $MPI_F90_LIB" >&6
7812   fi
7813   echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7814   echo "${ECHO_T}found $MPI_F90_LIB" >&6
7727
7728
7729 fi
7730
7731
7732
7733 # Check whether --with-sprng or --without-sprng was given.
7734 if test "${with_sprng+set}" = set; then
7735  withval="$with_sprng"
7736  with_sprng=$withval
7737 else
7738  with_sprng="/usr/local"
7739 fi;
7740
7741 case "x$with_sprng" in
7742        xyes | "x")  USE_SPRNG=yes;;
7743        xno) USE_SPRNG=no ;;
7744        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7745 esac
7746 if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7747        SPRNG="/usr/local"
7748 fi
7749 if test "$USE_SPRNG" = "yes"; then
7750
7751
7752 # Set variables...
7753 SPRNG_LIB_DIR="$SPRNG/lib"
7754 SPRNG_INC_DIR="$SPRNG/include"
7755
7756
7757
7758 echo "$as_me:$LINENO: checking for sprng.h" >&5
7759 echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7760 have_sprng_h=0
7761 echo '#include <sprng.h>' > conftest.cc
7762 if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7763        echo "$as_me:$LINENO: result: yes" >&5
7764 echo "${ECHO_T}yes" >&6
7765        have_sprng_h=1
7766 else
7767        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7768 echo "${ECHO_T}no! Check SPRNG include path!" >&6
7769        USE_SPRNG="no"
7770 fi
7771 rm -f conftest*
7772 if test "$have_sprng_h" = 1; then
7773
7774 cat >>confdefs.h <<\_ACEOF
7775 #define HAVE_SPRNG_H 1
7776 _ACEOF
7777
7778 fi
7779
7780 ac_ext=c
7781 ac_cpp='$CPP $CPPFLAGS'
7782 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7783 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7784 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7785
7786 ac_save_LDFLAGS=$LDFLAGS
7787 LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7788
7789 echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7790 echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
7791 if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
7792  echo $ECHO_N "(cached) $ECHO_C" >&6
7793 else
7794  ac_check_lib_save_LIBS=$LIBS
7795 LIBS="-lsprng  $LIBS"
7796 cat >conftest.$ac_ext <<_ACEOF
7797 /* confdefs.h.  */
7798 _ACEOF
7799 cat confdefs.h >>conftest.$ac_ext
7800 cat >>conftest.$ac_ext <<_ACEOF
7801 /* end confdefs.h.  */
7802
7803 /* Override any gcc2 internal prototype to avoid an error.  */
7804 #ifdef __cplusplus
7805 extern "C"
7806 #endif
7807 /* We use char because int might match the return type of a gcc2
7808   builtin and then its argument prototype would still apply.  */
7809 char init_rng ();
7810 int
7811 main ()
7812 {
7813 init_rng ();
7814  ;
7815  return 0;
7816 }
7817 _ACEOF
7818 rm -f conftest.$ac_objext conftest$ac_exeext
7819 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7820  (eval $ac_link) 2>conftest.er1
7821  ac_status=$?
7822  grep -v '^ *+' conftest.er1 >conftest.err
7823  rm -f conftest.er1
7824  cat conftest.err >&5
7825  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7826  (exit $ac_status); } &&
7827         { ac_try='test -z "$ac_c_werror_flag"
7828                         || test ! -s conftest.err'
7829  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7830  (eval $ac_try) 2>&5
7831  ac_status=$?
7832  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7833  (exit $ac_status); }; } &&
7834         { ac_try='test -s conftest$ac_exeext'
7835  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7836  (eval $ac_try) 2>&5
7837  ac_status=$?
7838  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7839  (exit $ac_status); }; }; then
7840  ac_cv_lib_sprng_init_rng=yes
7841 else
7842  echo "$as_me: failed program was:" >&5
7843 sed 's/^/| /' conftest.$ac_ext >&5
7844
7845 ac_cv_lib_sprng_init_rng=no
7846 fi
7847 rm -f conftest.err conftest.$ac_objext \
7848      conftest$ac_exeext conftest.$ac_ext
7849 LIBS=$ac_check_lib_save_LIBS
7850 fi
7851 echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
7852 echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
7853 if test $ac_cv_lib_sprng_init_rng = yes; then
7854  SPRNG_LIB="-lsprng"
7855 else
7856
7857             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
7858 echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
7859   { (exit 1); exit 1; }; }
7860             USE_SPRNG="no"
7861
7862 fi
7863
7864
7865 if test "$USE_SPRNG" = "no"; then
7866  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
7867 echo "$as_me: error: No working SPRNG library found" >&2;}
7868   { (exit 1); exit 1; }; }
7869 fi
7870
7871
7872 fi
7873
7874
7875
7876 echo "$as_me:$LINENO: checking if MKL is wanted" >&5
7877 echo $ECHO_N "checking if MKL is wanted... $ECHO_C" >&6
7878
7879 # Check whether --with-mkl or --without-mkl was given.
7880 if test "${with_mkl+set}" = set; then
7881  withval="$with_mkl"
7882     echo "$as_me:$LINENO: result: yes" >&5
7883 echo "${ECHO_T}yes" >&6
7884    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
7885        mkldir="$dir"
7886        if test -f "$dir/include/mkl.h"; then
7887            found_mkl="yes";
7888            break;
7889        fi
7890    done
7891    if test x_$found_mkl != x_yes; then
7892        { { echo "$as_me:$LINENO: error: Cannot find MKL includes" >&5
7893 echo "$as_me: error: Cannot find MKL includes" >&2;}
7894   { (exit 1); exit 1; }; }
7895    else
7896        printf "MKL includes found in $mkldir/include\n";
7897    fi
7815  
7816  
7900
7901  ac_ext=c
7902 ac_cpp='$CPP $CPPFLAGS'
7903 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7904 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7905 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7906
7907  ac_save_CPPFLAGS=$CPPFLAGS
7908  CPPFLAGS="${CPPFLAGS} -I${mkldir}/include"
7909  ac_save_LDFLAGS=$LDFLAGS
7910  LDFLAGS="${LDFLAGS} -L${mkldir}/lib/32 -lmkl -lvml -lguide"
7911  if test "${ac_cv_header_mkl_h+set}" = set; then
7912  echo "$as_me:$LINENO: checking for mkl.h" >&5
7913 echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7914 if test "${ac_cv_header_mkl_h+set}" = set; then
7915  echo $ECHO_N "(cached) $ECHO_C" >&6
7817   fi
7917 echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
7918 echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7919 else
7920  # Is the header compilable?
7921 echo "$as_me:$LINENO: checking mkl.h usability" >&5
7922 echo $ECHO_N "checking mkl.h usability... $ECHO_C" >&6
7923 cat >conftest.$ac_ext <<_ACEOF
7924 /* confdefs.h.  */
7925 _ACEOF
7926 cat confdefs.h >>conftest.$ac_ext
7927 cat >>conftest.$ac_ext <<_ACEOF
7928 /* end confdefs.h.  */
7929 $ac_includes_default
7930 #include <mkl.h>
7931 _ACEOF
7932 rm -f conftest.$ac_objext
7933 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7934  (eval $ac_compile) 2>conftest.er1
7935  ac_status=$?
7936  grep -v '^ *+' conftest.er1 >conftest.err
7937  rm -f conftest.er1
7938  cat conftest.err >&5
7939  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7940  (exit $ac_status); } &&
7941         { ac_try='test -z "$ac_c_werror_flag"
7942                         || test ! -s conftest.err'
7943  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7944  (eval $ac_try) 2>&5
7945  ac_status=$?
7946  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7947  (exit $ac_status); }; } &&
7948         { ac_try='test -s conftest.$ac_objext'
7949  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7950  (eval $ac_try) 2>&5
7951  ac_status=$?
7952  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7953  (exit $ac_status); }; }; then
7954  ac_header_compiler=yes
7955 else
7956  echo "$as_me: failed program was:" >&5
7957 sed 's/^/| /' conftest.$ac_ext >&5
7818  
7959 ac_header_compiler=no
7960 fi
7961 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
7962 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
7963 echo "${ECHO_T}$ac_header_compiler" >&6
7819  
7965 # Is the header present?
7966 echo "$as_me:$LINENO: checking mkl.h presence" >&5
7967 echo $ECHO_N "checking mkl.h presence... $ECHO_C" >&6
7968 cat >conftest.$ac_ext <<_ACEOF
7969 /* confdefs.h.  */
7970 _ACEOF
7971 cat confdefs.h >>conftest.$ac_ext
7972 cat >>conftest.$ac_ext <<_ACEOF
7973 /* end confdefs.h.  */
7974 #include <mkl.h>
7975 _ACEOF
7976 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
7977  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
7978  ac_status=$?
7979  grep -v '^ *+' conftest.er1 >conftest.err
7980  rm -f conftest.er1
7981  cat conftest.err >&5
7982  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7983  (exit $ac_status); } >/dev/null; then
7984  if test -s conftest.err; then
7985    ac_cpp_err=$ac_c_preproc_warn_flag
7986    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
7987  else
7988    ac_cpp_err=
7989  fi
7990 else
7991  ac_cpp_err=yes
7992 fi
7993 if test -z "$ac_cpp_err"; then
7994  ac_header_preproc=yes
7995 else
7996  echo "$as_me: failed program was:" >&5
7997 sed 's/^/| /' conftest.$ac_ext >&5
7820  
7999  ac_header_preproc=no
8000 fi
8001 rm -f conftest.err conftest.$ac_ext
8002 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
8003 echo "${ECHO_T}$ac_header_preproc" >&6
7821  
8005 # So?  What about this header?
8006 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
8007  yes:no: )
8008    { echo "$as_me:$LINENO: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&5
8009 echo "$as_me: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8010    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the compiler's result" >&5
8011 echo "$as_me: WARNING: mkl.h: proceeding with the compiler's result" >&2;}
8012    ac_header_preproc=yes
8013    ;;
8014  no:yes:* )
8015    { echo "$as_me:$LINENO: WARNING: mkl.h: present but cannot be compiled" >&5
8016 echo "$as_me: WARNING: mkl.h: present but cannot be compiled" >&2;}
8017    { echo "$as_me:$LINENO: WARNING: mkl.h:     check for missing prerequisite headers?" >&5
8018 echo "$as_me: WARNING: mkl.h:     check for missing prerequisite headers?" >&2;}
8019    { echo "$as_me:$LINENO: WARNING: mkl.h: see the Autoconf documentation" >&5
8020 echo "$as_me: WARNING: mkl.h: see the Autoconf documentation" >&2;}
8021    { echo "$as_me:$LINENO: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&5
8022 echo "$as_me: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8023    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the preprocessor's result" >&5
8024 echo "$as_me: WARNING: mkl.h: proceeding with the preprocessor's result" >&2;}
8025    { echo "$as_me:$LINENO: WARNING: mkl.h: in the future, the compiler will take precedence" >&5
8026 echo "$as_me: WARNING: mkl.h: in the future, the compiler will take precedence" >&2;}
8027    (
8028      cat <<\_ASBOX
8029 ## ------------------------------ ##
8030 ## Report this to gezelter@nd.edu ##
8031 ## ------------------------------ ##
8032 _ASBOX
8033    ) |
8034      sed "s/^/$as_me: WARNING:     /" >&2
8035    ;;
8036 esac
8037 echo "$as_me:$LINENO: checking for mkl.h" >&5
8038 echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
8039 if test "${ac_cv_header_mkl_h+set}" = set; then
8040  echo $ECHO_N "(cached) $ECHO_C" >&6
8041 else
8042  ac_cv_header_mkl_h=$ac_header_preproc
8043 fi
8044 echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8045 echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7822  
8047 fi
8048 if test $ac_cv_header_mkl_h = yes; then
8049
8050    echo "$as_me:$LINENO: checking for vslNewStream in -lmkl" >&5
8051 echo $ECHO_N "checking for vslNewStream in -lmkl... $ECHO_C" >&6
8052 if test "${ac_cv_lib_mkl_vslNewStream+set}" = set; then
8053  echo $ECHO_N "(cached) $ECHO_C" >&6
8054 else
8055  ac_check_lib_save_LIBS=$LIBS
8056 LIBS="-lmkl  $LIBS"
8057 cat >conftest.$ac_ext <<_ACEOF
8058 /* confdefs.h.  */
8059 _ACEOF
8060 cat confdefs.h >>conftest.$ac_ext
8061 cat >>conftest.$ac_ext <<_ACEOF
8062 /* end confdefs.h.  */
8063
8064 /* Override any gcc2 internal prototype to avoid an error.  */
8065 #ifdef __cplusplus
8066 extern "C"
8067 #endif
8068 /* We use char because int might match the return type of a gcc2
8069   builtin and then its argument prototype would still apply.  */
8070 char vslNewStream ();
8071 int
8072 main ()
8073 {
8074 vslNewStream ();
8075  ;
8076  return 0;
8077 }
8078 _ACEOF
8079 rm -f conftest.$ac_objext conftest$ac_exeext
8080 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8081  (eval $ac_link) 2>conftest.er1
8082  ac_status=$?
8083  grep -v '^ *+' conftest.er1 >conftest.err
8084  rm -f conftest.er1
8085  cat conftest.err >&5
8086  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8087  (exit $ac_status); } &&
8088         { ac_try='test -z "$ac_c_werror_flag"
8089                         || test ! -s conftest.err'
8090  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8091  (eval $ac_try) 2>&5
8092  ac_status=$?
8093  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8094  (exit $ac_status); }; } &&
8095         { ac_try='test -s conftest$ac_exeext'
8096  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8097  (eval $ac_try) 2>&5
8098  ac_status=$?
8099  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8100  (exit $ac_status); }; }; then
8101  ac_cv_lib_mkl_vslNewStream=yes
8102 else
8103  echo "$as_me: failed program was:" >&5
8104 sed 's/^/| /' conftest.$ac_ext >&5
8105
8106 ac_cv_lib_mkl_vslNewStream=no
8107 fi
8108 rm -f conftest.err conftest.$ac_objext \
8109      conftest$ac_exeext conftest.$ac_ext
8110 LIBS=$ac_check_lib_save_LIBS
8111 fi
8112 echo "$as_me:$LINENO: result: $ac_cv_lib_mkl_vslNewStream" >&5
8113 echo "${ECHO_T}$ac_cv_lib_mkl_vslNewStream" >&6
8114 if test $ac_cv_lib_mkl_vslNewStream = yes; then
8115  MKL_LIBDIR="${mkldir}/lib/32",
8116                     MKL_LIB="-lmkl -lvml -lguide",
8117                     HAVE_MKL="yes"
8118 fi
8119
8120
8121 else
8122  MKL_INC="-I${mkldir}/include"
8123 fi
8124
8125
8126  CPPFLAGS=$ac_save_CPPFLAGS
8127  LDFLAGS=$ac_save_LDFLAGS
8128  ac_ext=c
8129 ac_cpp='$CPP $CPPFLAGS'
8130 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8131 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8132 ac_compiler_gnu=$ac_cv_c_compiler_gnu
8133
8134
8135  if test x_$HAVE_MKL != x_yes; then
8136        { { echo "$as_me:$LINENO: error: Can't build with MKL" >&5
8137 echo "$as_me: error: Can't build with MKL" >&2;}
8138   { (exit 1); exit 1; }; }
8139  fi
8140
8141
8142
8143
8144
8145 else
8146
8147    echo "$as_me:$LINENO: result: no" >&5
8148 echo "${ECHO_T}no" >&6
8149
8150 fi;
8151
8152
8153
7823   # Check whether --enable-doxygen or --disable-doxygen was given.
7824   if test "${enable_doxygen+set}" = set; then
7825    enableval="$enable_doxygen"
# Line 9021 | Line 8690 | s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
8690   s,@LEXLIB@,$LEXLIB,;t t
8691   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
8692   s,@AR@,$AR,;t t
8693 + s,@PS@,$PS,;t t
8694   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
8695   s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
8696   s,@MPI_F90_INC@,$MPI_F90_INC,;t t
8697   s,@MPI_LIB@,$MPI_LIB,;t t
8698   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
8699   s,@USE_MPI@,$USE_MPI,;t t
9030 s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
9031 s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
9032 s,@SPRNG_LIB@,$SPRNG_LIB,;t t
9033 s,@USE_SPRNG@,$USE_SPRNG,;t t
9034 s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
9035 s,@MKL_LIB@,$MKL_LIB,;t t
9036 s,@MKL_INC@,$MKL_INC,;t t
9037 s,@HAVE_MKL@,$HAVE_MKL,;t t
8700   s,@DOXYGEN@,$DOXYGEN,;t t
8701   s,@DOT@,$DOT,;t t
8702   s,@DOC@,$DOC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines